View Issue Details

IDProjectCategoryView StatusLast Update
0003478ArchBugpublic2018-06-25 12:56
Reporterudav441Assigned Toyorik 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformCore i5OSWindowsOS Version7 64bit
Product Version0.17 
Target Version0.18Fixed in Version0.18 
Summary0003478: FreeCAD doesn't create walls
DescriptionWhen I start a Arch workbench I can't create a wall.
When I try to draw a wall directly, CAD shows a wall during dragging it. And when I finish the wall it disappeers at all.

When I draw a line first and then try to create a wall via icon "Add Wall" CAD do nothing and throws and exception in status line.

I've tried it on two Win7 system 32bit and 64 bit.
This errors occurs on all 0.17 subversions that I used.


Steps To ReproduceAction 1:
Select Arch workbench
Draw line
Select line
Press "Add Wall" icon

Result 1:
Running the Python command 'Arch_Wall' failed: Traceback (most recent call last): File "C\Program Filees\FreeCAD 0.17\Mod\Arch\ArchWall.py", line 194, in Activated FreeCAD.ActiveDocument.openTransaction(translate("Arch","Create Wall")) Unknown C++ exception

Action 2:
Press "Add Wall" icon
Begin Wall
End Wall

Result 2:
Appers nothing
Additional InformationOS: Windows 7
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.13522 (Git)
Build type: Release
Branch: releases/FreeCAD-0-17
Hash: 3bb5ff4e70c0c526f2d9dd69b1004155b2f527f2
Python version: 2.7.14
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.2.0
Locale: Russian/RussianFederation (ru_RU)
TagsNo tags attached.

Relationships

related to 0003423 assignedyorik Error message generated when creating wall from dwire or sketch 

Activities

DeepSOIC

2018-05-19 15:31

developer   ~0011260

forum thread: https://forum.freecadweb.org/viewtopic.php?f=23&t=28770

yorik

2018-05-30 18:37

administrator   ~0011308

This should be solved with #3430 Please test again with a recent 0.18 version?

Kunda1

2018-05-31 14:55

manager   ~0011331

@udav441 please re-test with a bleeding edge 0.18 dev version from https://github.com/FreeCAD/FreeCAD/releases/tag/0.18_pre to confirm fix

udav441

2018-06-05 17:27

reporter   ~0011352

Last edited: 2018-06-05 17:28

View 3 revisions

I've tested the latest version of 0.18. It works with languages different than english.
Now FreeCAD creates walls. Thank you!
P.S. But there were some crushes when I open Arch from StartPage.

Kunda1

2018-06-06 16:48

manager   ~0011356

@udav441 please also comment on the forum thread to stimulate further conversation in the direction of resolving any remaining issues.

Kunda1

2018-06-25 12:55

manager   ~0011467

@udav441 closing this ticket. Please open an Arch forum thread to discuss any remaining issues.

Issue History

Date Modified Username Field Change
2018-05-16 07:39 udav441 New Issue
2018-05-19 15:31 DeepSOIC Note Added: 0011260
2018-05-29 20:06 Kunda1 Relationship added related to 0003423
2018-05-30 18:37 yorik Note Added: 0011308
2018-05-31 14:55 Kunda1 Assigned To => yorik
2018-05-31 14:55 Kunda1 Status new => feedback
2018-05-31 14:55 Kunda1 Note Added: 0011331
2018-05-31 14:56 Kunda1 Tag Attached: #tobeclosed
2018-06-05 17:27 udav441 Note Added: 0011352
2018-06-05 17:27 udav441 Status feedback => assigned
2018-06-05 17:27 udav441 Note Edited: 0011352 View Revisions
2018-06-05 17:28 udav441 Note Edited: 0011352 View Revisions
2018-06-06 16:48 Kunda1 Status assigned => feedback
2018-06-06 16:48 Kunda1 Note Added: 0011356
2018-06-25 12:55 Kunda1 Status feedback => closed
2018-06-25 12:55 Kunda1 Resolution open => fixed
2018-06-25 12:55 Kunda1 Fixed in Version => 0.18
2018-06-25 12:55 Kunda1 Note Added: 0011467
2018-06-25 12:55 Kunda1 Tag Detached: #tobeclosed
2018-06-25 12:56 Kunda1 Target Version => 0.18